import { OnInit, OnDestroy, DoCheck, ElementRef, ChangeDetectorRef } from '@angular/core';
import { PerfectScrollbarDirective } from './perfect-scrollbar.directive';
import { PerfectScrollbarConfigInterface } from './perfect-scrollbar.interfaces';
export declare class PerfectScrollbarComponent implements OnInit, OnDestroy, DoCheck {
    private elementRef;
    private cdRef;
    private states;
    private notify;
    private cancelEvent;
    private timeoutState;
    private timeoutScroll;
    private usePropagationX;
    private usePropagationY;
    private userInteraction;
    private allowPropagation;
    private scrollSub;
    private scrollUpdate;
    private statesSub;
    private statesUpdate;
    private activeSub;
    private activeUpdate;
    hidden: boolean;
    disabled: boolean;
    usePSClass: boolean;
    autoPropagation: boolean;
    scrollIndicators: boolean;
    runInsideAngular: boolean;
    config: PerfectScrollbarConfigInterface;
    directiveRef: PerfectScrollbarDirective;
    onTestOne(event: any): void;
    constructor(elementRef: ElementRef, cdRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngDoCheck(): void;
    getConfig(): PerfectScrollbarConfigInterface;
    update(): void;
    scrollTo(x: number, y?: number): void;
    scrollToTop(offset?: number): void;
    scrollToLeft(offset?: number): void;
    scrollToRight(offset?: number): void;
    scrollToBottom(offset?: number): void;
    onTouchEnd(event?: Event): void;
    onTouchMove(event?: Event): void;
    onTouchStart(event?: Event): void;
    onWheelEvent(event?: Event): void;
    onScrollEvent(event: Event, state: string): void;
}
