import { DoCheck, OnDestroy, OnChanges, AfterViewInit, ElementRef, SimpleChanges, KeyValueDiffers, NgZone } from '@angular/core';
import { PerfectScrollbarConfig, PerfectScrollbarConfigInterface } from './perfect-scrollbar.interfaces';
import { Geometry } from './perfect-scrollbar.classes';
export declare class PerfectScrollbarDirective implements DoCheck, OnDestroy, OnChanges, AfterViewInit {
    elementRef: ElementRef;
    private defaults;
    private differs;
    private zone;
    private width;
    private height;
    private configDiff;
    private contentWidth;
    private contentHeight;
    hidden: boolean;
    disabled: boolean;
    usePSClass: boolean;
    psPosStyle: string;
    runInsideAngular: boolean;
    config: PerfectScrollbarConfigInterface;
    onResize($event: Event): void;
    constructor(elementRef: ElementRef, defaults: PerfectScrollbarConfig, differs: KeyValueDiffers, zone: NgZone);
    ngDoCheck(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    update(): void;
    geometry(property?: string): Geometry;
    scrollTo(x: number, y?: number, speed?: number): void;
    scrollToX(x: number, speed?: number): void;
    scrollToY(y: number, speed?: number): void;
    scrollToTop(offset?: number, speed?: number): void;
    scrollToLeft(offset?: number, speed?: number): void;
    scrollToRight(offset?: number, speed?: number): void;
    scrollToBottom(offset?: number, speed?: number): void;
    animateScrolling(target: string, value: number, speed?: number): void;
}
